Claim

  • POST
  • /workspaces
  • /:workspace
  • /domains
  • /claim

Claim an existing domain

Request

REQUIRED SCOPES
ZONE_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

BODY PARAMETERS
namestring
The subdomain to claim under a claimable domain
on_owner_behalfboolean
Whether to claim the domain on the workspace owner's behalf

Response

RESPONSE BODY
typestring enum
The type of the domain
Allowed enum:
REGISTERED,
POINTED,
PRIVATE,
CLAIMED
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
namestring
The name of the domain
idstring
The ID of the domain
pointed_viastring[]
auto_renewboolean
Whether the domain is set to auto-renew
transfer_lockboolean
Whether the domain has transfer lock enabled
dnssecboolean
Whether DNSSEC is enabled for the domain
expiry_datestring
The expiration date of the domain registration

Last modified on Jun 29, 2026

Request example

curl -X POST "https://api.buddy.works/workspaces/:workspace/domains/claim" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "mydomain.claim.net", "on_owner_behalf": false }'